%global pypi_name XStatic-jQuery
%global _description %{expand:
jQuery javascript library packaged for setuptools (easy_install) / pip.
This package is intended to be used by **any** project that needs these files.
It intentionally does **not** provide any extra code except some metadata
**nor** has any extra requirements. You MAY use some minimal support code from
the XStatic base package, if you like.
You can find more info about the xstatic packaging way in the package `XStatic`.}

Summary:        jQuery 1.12.4.1 (XStatic packaging standard)
Name:           python-%{pypi_name}
Version:        1.12.4.1
Release:        5%{?dist}
License:        MIT
URL:            https://jquery.com/
Source0:        %pypi_source

BuildArch:      noarch

%description %{_description}

%package -n python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel python3-setuptools

%description -n python3-%{pypi_name} %{_description}

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{python3_sitelib}/*

%changelog
* Fri Oct 13 2023 Shuo Wang <abushwang@tencent.com> - 1.12.4.1-5
- downgrade 1.12.4.1 for openstack-dashboard

* Tue Sep 26 2023 jackeyji <jackeyji@tencent.com> - 3.4.1.0-1
- upgrade to 3.4.1.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12.4.1-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12.4.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12.4.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 24 2023 kianli <kianli@tencent.com> - 1.12.4.1-1
- initial build
